Class | TkcTagAll
In: | tk/lib/tk/canvastag.rb
Parent: | TkcTag

### Methods

new

### Public Class methods

new(parent)

[Source]

    # File tk/lib/tk/canvastag.rb, line 316
      def initialize(parent)
        #unless parent.kind_of?(TkCanvas)
        #  fail ArgumentError, "expect TkCanvas for 1st argument"
        #end
        @c = parent
        @cpath = parent.path
        @path = @id = 'all'
        CTagID_TBL[@cpath] = {} unless CTagID_TBL[@cpath]
        CTagID_TBL[@cpath][@id] = self
      end

[Validate]